<?php
/**
 * @package     Joomla.Plugin
 * @subpackage  Content.adsinside
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     Licensed under the GPL v2&
 */

defined('_JEXEC') or die;

/**
 * Adsinside plugin class.
 *
 */
class PlgContentAdsinside extends JPlugin
{
	/**
	 * Displays the ads inside joomla articles
	 *
	 * @param   string   $context  The context of the content being passed to the plugin
	 * @param   object   &$row     The article object
	 * @param   object   &$params  The article params
	 * @param   integer  $page     The 'page' number
	 *
	 * @return  mixed  html string containing code for the votes if in com_content else boolean false
	 *
	 * @since   1.6
	 */

	protected $autoloadLanguage = true;
	
	
    public function onContentAfterDisplay($context, &$article, &$params, $limitstart = 0)
	{
		$app   = JFactory::getApplication();
		$view  = $app->input->get('view');
		$print = $app->input->getBool('print');
		if(empty($this->params["category"]))	 {$category 		 = '';}else{$category 	= $this->params["category"];}
		if(empty($this->params["articleid"]))	 {$articleid 		 = '';}else{$articleid 	= $this->params["articleid"];}
		
		if ($print)
		{
			return false;
		}

		if (($context == 'com_content.article') && ($view == 'article') && (substr_count($article->text, '{adsinside no bottom}') == 0))
		{
			$HiddenArticles = explode(',', $articleid);
			$db = JFactory::getDBO(); 
			$option   = JRequest::getCmd('option');
			$temp   = JRequest::getString('id');
			$temp   = explode(':', $temp);
			$id   = $temp[0];
			$db->setQuery('SELECT cat.id FROM #__categories cat RIGHT JOIN #__content cont ON cat.id = cont.catid WHERE cont.id='.$id);   
			$categoryId = $db->loadResult(); //this is current article’s category ID
			$HiddenProducts = explode(',',$category);
			
			if (in_array($categoryId, $HiddenProducts) || in_array($article->id, $HiddenArticles)) {
			}
			else
			{
				if(empty($this->params["adsense_bottom"]))
				{
					$adsense_bottom 		 = '';
				}
				else
				{
						$adsense_bottom 	= $this->params["adsense_bottom"];
						$article->text = $article->text . $adsense_bottom;
				}
			}
		}
		$article->text = str_replace("{adsinside no bottom}", "", $article->text);
		return;
	}
	
    public function onContentBeforeDisplay($context, &$article, &$params, $limitstart = 0)
	{
		$app   = JFactory::getApplication();
		$view  = $app->input->get('view');
		$print = $app->input->getBool('print');
		if(empty($this->params["category"]))	 {$category 		 = '';}else{$category 	= $this->params["category"];}
		if(empty($this->params["articleid"]))	 {$articleid 		 = '';}else{$articleid 	= $this->params["articleid"];}
		
		if ($print)
		{
			return false;
		}

		if (($context == 'com_content.article') && ($view == 'article') && substr_count($article->text, '{adsinside no top}') == 0)
		{
			$HiddenArticles = explode(',', $articleid);
			$db = JFactory::getDBO(); 
			$option   = JRequest::getCmd('option');
			$temp   = JRequest::getString('id');
			$temp   = explode(':', $temp);
			$id   = $temp[0];
			$db->setQuery('SELECT cat.id FROM #__categories cat RIGHT JOIN #__content cont ON cat.id = cont.catid WHERE cont.id='.$id);   
			$categoryId = $db->loadResult(); //this is current article’s category ID
			$HiddenProducts = explode(',',$category);
			
			if (in_array($categoryId, $HiddenProducts) || in_array($article->id, $HiddenArticles)) {
			}
			else
			{
				if(empty($this->params["adsense_top"]) && !substr_count($article->text, '{adsinside no}') == 0)
				{
					$adsense_top 		 = '';
				}
				else
				{
						$adsense_top 	= $this->params["adsense_top"];
						$article->text = $adsense_top . $article->text;
				}
			}
		}
		$article->text = str_replace("{adsinside no top}", "", $article->text);
		return;
	}
	
    public function onContentPrepare($context, &$article, &$params, $limitstart = 0)
	{
		$app   = JFactory::getApplication();
		$view  = $app->input->get('view');
		$print = $app->input->getBool('print');

		if(empty($this->params["category"]))	 {$category 		 = '';}else{$category 	= $this->params["category"];}
		if(empty($this->params["articleid"]))	 {$articleid 		 = '';}else{$articleid 	= $this->params["articleid"];}
		//$categoryId = JRequest::getVar('catid');
		
		//var_dump($article);
		//$articleId = $article->id;
		//if(numberInList($categoryId, $category) == 1){ 
			
			
			if ($print)
			{
				return false;
			}

			if (($context == 'com_content.article') && ($view == 'article')  && substr_count($article->text, '{adsinside no center}') == 0)
			{
				$HiddenArticles = explode(',', $articleid);
				$db = JFactory::getDBO(); 
				$option   = JRequest::getCmd('option');
				$temp   = JRequest::getString('id');
				$temp   = explode(':', $temp);
				$id   = $temp[0];
				$db->setQuery('SELECT cat.id FROM #__categories cat RIGHT JOIN #__content cont ON cat.id = cont.catid WHERE cont.id='.$id);   
				$categoryId = $db->loadResult(); //this is current article’s category ID
				$HiddenProducts = explode(',',$category);
				
				if (in_array($categoryId, $HiddenProducts) || in_array($article->id, $HiddenArticles)) {
				}
				else
				{
				
					if(empty($this->params["adsense1"]))
					{
						$adsense1 		 = '';
					}
					else
					{
						if(empty($this->params["what"]))	 {$what 		 = '';}else{$what 	= $this->params["what"];}
						if(empty($this->params["where1"]))	 {$where 		 = '';}else{$where1 	= $this->params["where1"];}
						if(empty($this->params["float"]))	 {$float 		 = '';}else{$float 	= $this->params["float"];}
						if(empty($this->params["margin"]))	 {$margin 		 = '';}else{$margin 	= $this->params["margin"];}
						//$test = substr_count($article->text, '<p>');
						//$test .=  ' > ' . $where1;
						if( ( substr_count($article->text, '<p>') > $where1 || $what == 1 )){
							if($float == "left" || $float == "right"){
								$style = "style='float:" . $float . ";margin:" . $margin . "px;'>";
							}
							if($float == "center"){
								$style = "style='margin-left:auto;margin-right:auto;text-align:center;'>";
							}
							$adsense1 	= $this->params["adsense1"];
							$mon_contenu_table = explode('<p>', $article->text);
							$mon_contenu_table[$where1] .= "<div " . $style . $adsense1 . "</div>";
							$article->text = implode($mon_contenu_table, "<p>");
						}
					}			
					if(empty($this->params["adsense2"]))
					{
						$adsense2 		 = '';
					}
					else
					{
						if(empty($this->params["what"]))	 {$what 		 = '';}else{$what 	= $this->params["what"];}
						if(empty($this->params["where2"]))	 {$where 		 = '';}else{$where2 	= $this->params["where2"];}
						if(empty($this->params["float"]))	 {$float 		 = '';}else{$float 	= $this->params["float"];}
						if(empty($this->params["margin"]))	 {$margin 		 = '';}else{$margin 	= $this->params["margin"];}
						// echo substr_count($article->text, '<p>');
						// echo ' > ' . $where;
						if( ( substr_count($article->text, '<p>') > $where2 || $what == 1 )){
							if($float == "left" || $float == "right"){
								$style = "style='float:" . $float . ";margin:" . $margin . "px;'>";
							}
							if($float == "center"){
								$style = "style='margin-left:auto;margin-right:auto;text-align:center;'>";
							}
							$adsense2 	= $this->params["adsense2"];
							$mon_contenu_table = explode('<p>', $article->text);
							$mon_contenu_table[$where2] .= "<div " . $style . $adsense2 . "</div>";
							$article->text = implode($mon_contenu_table, "<p>");
						}
					}
					if(empty($this->params["adsense3"]))
					{
						$adsense3 		 = '';
					}
					else
					{
						if(empty($this->params["what"]))	 {$what 		 = '';}else{$what 	= $this->params["what"];}
						if(empty($this->params["where3"]))	 {$where 		 = '';}else{$where3 	= $this->params["where3"];}
						if(empty($this->params["float"]))	 {$float 		 = '';}else{$float 	= $this->params["float"];}
						if(empty($this->params["margin"]))	 {$margin 		 = '';}else{$margin 	= $this->params["margin"];}
						// echo substr_count($article->text, '<p>');
						// echo ' > ' . $where;
						if( ( substr_count($article->text, '<p>') > $where3 || $what == 1 )){
							if($float == "left" || $float == "right"){
								$style = "style='float:" . $float . ";margin:" . $margin . "px;'>";
							}
							if($float == "center"){
								$style = "style='margin-left:auto;margin-right:auto;text-align:center;'>";
							}
							$adsense3 	= $this->params["adsense3"];
							$mon_contenu_table = explode('<p>', $article->text);
							$mon_contenu_table[$where3] .= "<div " . $style . $adsense3 . "</div>";
							$article->text = implode($mon_contenu_table, "<p>");
						}
					}			

				}
			}
			$article->text = str_replace("{adsinside no center}", "", $article->text);
			return;
		//}
	}
	
	
}